Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.runtime
Class AbstractJDBCSavepointManager.ConnectionSavepoint

    java.lang.Object
      |
      +--kodo.runtime.KodoSavepoint
            |
            +--kodo.jdbc.runtime.AbstractJDBCSavepointManager.ConnectionSavepoint

Enclosing class:
  AbstractJDBCSavepointManager

protected class AbstractJDBCSavepointManager.ConnectionSavepoint
extends KodoSavepoint

A savepoint which provides access to the current transactional connection.

Fields inherited from class kodo.runtime.KodoSavepoint
`FLUSH, NO_FLUSH, PRE_FLUSH`

Constructor Summary
`AbstractJDBCSavepointManager.ConnectionSavepoint(KodoPersistenceManager pm, String name)`

Method Summary
`Connection` | `getConnection()` Return the current `Connection` for this savepoint.
`Object` | `getDataStoreSavepoint()` Return the stored savepoint object
`Collection` | `rollback(Collection previous)` Handle the rolled back state, returning saved data.
`void` | `save(Collection states)` Set this savepoint, saving any state for the passed-in `KodoStateManager`s as necessary.
`void` | `setDataStoreSavepoint(Object savepoint)` Set the implementation specific savepoint object

Methods inherited from class kodo.runtime.KodoSavepoint
`getCopyFields, getFlushMode, getName, getPersistenceManager, getStates, initialize, release, setCopyFields, setFlushMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJDBCSavepointManager.ConnectionSavepoint

    public AbstractJDBCSavepointManager.ConnectionSavepoint(KodoPersistenceManager pm,
                                                            String name)

Method Detail

### getDataStoreSavepoint

    public Object getDataStoreSavepoint()

  Return the stored savepoint object

### setDataStoreSavepoint

    public void setDataStoreSavepoint(Object savepoint)

  Set the implementation specific savepoint object

### getConnection

    public Connection getConnection()

  Return the current `Connection` for this savepoint.

### rollback

    public Collection rollback(Collection previous)

  Description copied from class: `KodoSavepoint`
  Handle the rolled back state, returning saved data. Subclasses should return the collection returned from this method.
  Overrides:
    `rollback` in class `KodoSavepoint`
  Following copied from class: `kodo.runtime.KodoSavepoint`
  Parameters:
    `previous` - previous savepoints set in the transaction

### save

    public void save(Collection states)

  Description copied from class: `KodoSavepoint`
  Set this savepoint, saving any state for the passed-in `KodoStateManager`s as necessary.
  Overrides:
    `save` in class `KodoSavepoint`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.